Bug 26184 - Wrap 'items available for pick-up' note when placing a hold in the OPAC in a div element
Summary: Wrap 'items available for pick-up' note when placing a hold in the OPAC in a ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-07 18:14 UTC by Lucas Gass
Modified: 2020-11-17 20:31 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
Bug 26184: Add html element to note in OPAC reserve template (1.57 KB, patch)
2020-08-07 18:20 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug : 26184 - element missing a proper HTML element (2.62 KB, patch)
2020-08-18 15:44 UTC, Brandon J
Details | Diff | Splinter Review
Bug 26184: Add html element to note in OPAC reserve template (1.62 KB, patch)
2020-09-18 14:42 UTC, David Nind
Details | Diff | Splinter Review
Bug 26184: Add div element to 'items available' note in OPAC reserve template (1.70 KB, patch)
2020-09-20 17:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-08-07 18:14:17 UTC
In the opac-reserve template there are these lines:

[% IF at_least_one_library_not_available_for_pickup %]
<br>Note: Library policy does not allow hold/pickup of an item available locally. Please come to the library to retrieve these items
[% END %]

This is wording that some libraries would like to change but since it is not wrapped in an HTML element is difficult.

We should wrap this in an HTML element
Comment 1 Lucas Gass 2020-08-07 18:20:16 UTC
Created attachment 107972 [details] [review]
Bug 26184: Add html element to note in OPAC reserve template
Comment 2 Brandon J 2020-08-18 15:44:11 UTC
Created attachment 108526 [details] [review]
Bug : 26184 - element missing a proper HTML element

Signed-off-by: Brandon J <brandon.jimenez@inLibro.com>
Comment 3 Brandon J 2020-08-18 15:46:52 UTC
to test :
  2 -before applying the patch :
  3  -- 1 Home (OPAC)
  4  -- 2 Click on a book
  5  -- 3 Click Place Hold
  6  NOTE: if you don't see the text, the library has to disable hold.
  7  To disable Hold:
  8  -- 1 HOME (Intranet)
  9  -- 2 Preferences
 10  -- 3 Search for OPACHoldsIfAvailableAtPickup and turn it to "Don't allow"
 11 
 12 - APPLY PATCH
 13 - Retest (in the inspector the note is enclosed now by a SPAN tag)
Comment 4 Lucas Gass 2020-08-18 21:12:05 UTC
Hi Brandon,

Thanks for looking at this and testing. Did you sign-off on this patch? Looks like you added a sign-off but didn't change the status to signed-off.

Looks like you also supplied a patch which includes some changes to updatedatabase.pl, I am going to mark that patch as obsolete.
Comment 5 David Nind 2020-09-18 14:42:42 UTC
Created attachment 110401 [details] [review]
Bug 26184: Add html element to note in OPAC reserve template

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 David Nind 2020-09-18 14:44:01 UTC
I signed-off using Brandon J's test plan in comment 3 - feel free to change the sign off attribution to Brandon J!
Comment 7 Katrin Fischer 2020-09-20 17:24:25 UTC
Created attachment 110427 [details] [review]
Bug 26184: Add div element to 'items available' note in OPAC reserve template

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2020-09-28 14:08:56 UTC
Why this class name? Isn't it just a note?
Comment 9 Lucas Gass 2020-09-28 15:08:49 UTC
(In reply to Jonathan Druart from comment #8)
> Why this class name? Isn't it just a note?

Jonathan, would you rather the class name be something else? I don't mind changing it.
Comment 10 Jonathan Druart 2020-09-29 10:02:29 UTC
class="note"?
Comment 11 Katrin Fischer 2020-09-29 10:54:14 UTC
Hi Jonathan, as the stated intention here was to be able to change the text, a specific class (or id) makes more sense. With possibly changing translations hooking the jQuery on a test or word is not ideal.
Comment 12 Katrin Fischer 2020-09-29 10:59:40 UTC
test = text...
Comment 13 Jonathan Druart 2020-10-08 09:37:56 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 14 Lucas Gass 2020-11-09 18:46:51 UTC
backported to 20.05.x for 20.05.06
Comment 15 Aleisha Amohia 2020-11-17 03:27:04 UTC
enhancement, not backported to 19.11.x